Support » Plugin: Style Kits - Advanced Theme Styles for Elementor » Styles don’t load after update

  • Resolved Ann-Sophie

    (@ann-sophie)


    When I update Style Kits to the latest versions (1.6.8 and 1.6.9) my styles don’t load. Only Theme Style (Elementor) is active.
    I rolled back to 1.6.7 and this solves the issue.
    I have deactivated W3TC but no luck either. I have emptied all caches, including browser cache. I don’t know if this problem persists because of cache.

    Before update:
    https://prnt.sc/srjeeq

    After update:
    https://prnt.sc/srjdv0

    The page I need help with: [log in to see the link]

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author Ram Ratan Maurya

    (@mauryaratan)

    Hey @ann-sophie,

    As mentioned previously, can you please create a ticket via our support so we can better handle the issue?

    I may be seeing the same issue, while this loads in the editor and displays styles in Elementor editor just fine, out of the editor it doesn’t have “elementor-kit-9” or so in css <body class=… element.

    Hello @programmin,

    Thanks for reaching us. Could you please share the before and after screenshot to know more about the issue.

    Kindly share the version in which you are facing the issue.

    On 1.6.9 now and the difference is the “.elementor-kit-9” class is not applying because that class isn’t on an element. Unless I am in Elementor editor.

    I even see this on local testing, after setting the style kit back to 1.6.8, upgrading Elementor and Elementor Pro to latest versions.

    public function should_remove_global_kit_class is removing the body class that would make the style kit display.

    This is one of many on a multisite if that makes a difference…

    @programmin

    Could you please share how many kits you have?
    Did you reproduced this issue with a new kit or using the Default Kit Elementor creates?

    Just one, Global Style Kit = Default Kit in the settings.
    I saw this on a local setup without much special configuration, too.

    gvgvgvijayan

    (@gvgvgvijayan)

    @programmin thanks for the update, we will check and update you.

    Why is this “resolved” when there has been no update in recent weeks to fix the should_remove_global_kit_class function?

    Plugin Author Ram Ratan Maurya

    (@mauryaratan)

    Hey @programmin, sorry for not keeping you in the loop.

    The issue was fixed recently and an update will follow soon after Elementor v3.0 release.

Viewing 12 replies - 1 through 12 (of 12 total)
  • You must be logged in to reply to this topic.